# SPDX-License-Identifier: AGPL-3.0-only
# One redirect served. Meaningless alone — the whole port-80 web is
# 301s to https — this only exists to be COUNTED against the two
# parsers that argue it back down (http-301-bot, http-200-ok) in
# srv00-redirect-crawler. A browser follows its redirects, so a human
# nets to nothing within a second; a scanner hammering http:// paths
# and never following is the one thing that accumulates.
parser: http-301
log: http
prefilter: '" 301 '
regex: '^(?P<ip>\S+) \S+ \S+ \[(?P<time>[^\]]+)\] "(?P<method>[A-Z]+) (?P<path>[^ "?]*)(?:\?[^ "]*)? [^"]*" 301 '
time_field: time
time_format: nginx
